
// THIS FILE IS AUTOGENERATED. DO NOT EDIT.
export type OAuthProviderType = 
  | "42-school"
  | "apple"
  | "atlassian"
  | "auth0"
  | "azure-ad-b2c"
  | "azure-ad"
  | "battlenet"
  | "box"
  | "bungie"
  | "cognito"
  | "coinbase"
  | "credentials"
  | "discord"
  | "dropbox"
  | "email"
  | "eveonline"
  | "facebook"
  | "faceit"
  | "foursquare"
  | "freshbooks"
  | "fusionauth"
  | "github"
  | "gitlab"
  | "google"
  | "identity-server4"
  | "index"
  | "instagram"
  | "kakao"
  | "keycloak"
  | "line"
  | "linkedin"
  | "mailchimp"
  | "mailru"
  | "medium"
  | "naver"
  | "netlify"
  | "oauth-types"
  | "oauth"
  | "okta"
  | "onelogin"
  | "osso"
  | "osu"
  | "pipedrive"
  | "reddit"
  | "salesforce"
  | "slack"
  | "spotify"
  | "strava"
  | "twitch"
  | "twitter"
  | "vk"
  | "wordpress"
  | "workos"
  | "yandex"
  | "zoho"
  | "zoom"